# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "embassy-ssd1306-physics"
version = "0.3.0"
authors = ["Jorge Andre Castro <georgeandrec@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Dessins 2D no_std pour objets physiques (bras robotique, pendule, ressort-masse, boussole, engrenages,piston) sur OLED SSD1306 128×64"
documentation = "https://docs.rs/embassy-ssd1306-physics"
readme = "README.md"
keywords = [
    "embedded",
    "no-std",
    "oled",
    "ssd1306",
    "robotics",
]
categories = [
    "embedded",
    "no-std",
    "graphics",
]
license = "GPL-2.0-or-later"
repository = "https://github.com/jorgeandrecastro/embassy-ssd1306-physics"

[lib]
name = "embassy_ssd1306_physics"
path = "src/lib.rs"

[dependencies.embassy-ssd1306-graphics]
version = "0.1"

[dependencies.embedded-hal-async]
version = "1.0"

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"
strip = true
